> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snippet.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Metrics by Protocol

> Fetch latest metrics for a given protocol.

<ParamField path="protocolId" type="string" required>
  Protocol identifier (slug) to fetch metrics for.
</ParamField>

<ParamField header="Authorization" type="string">
  Optional for public protocols; required for private protocols.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://<your-api-host>/metrics/byProtocol/awesome-dex"
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  [
    {
      "id": "awesome-dex___TVL",
      "value": 12345678.9,
      "unit": "USD",
      "change1h": 0.4,
      "change24h": 3.1,
      "timestamp": "2025-08-05T17:00:00Z"
    },
    {
      "id": "awesome-dex___USERS_MOM",
      "value": 5.2,
      "unit": "%",
      "change1h": 0,
      "change24h": 0.8,
      "timestamp": "2025-08-05T17:00:00Z"
    }
  ]
  ```
</ResponseExample>

<Tip>
  Include the same API key used to create the protocol if it is private.
</Tip>
